org.gitana.platform.services.billing

## Enum PaymentMethodValidationCode

- java.lang.Object
- - java.lang.Enum<PaymentMethodValidationCode>
  - - org.gitana.platform.services.billing.PaymentMethodValidationCode

All Implemented Interfaces:
  Serializable, Comparable<PaymentMethodValidationCode>

    public enum PaymentMethodValidationCode
    extends Enum<PaymentMethodValidationCode>

Author:
  uzi

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREDIT_CARD_NUMBER_IS_INVALID`
`CREDIT_CARD_NUMBER_IS_REQUIRED`
`EXPIRATION_DATE_EXCEEDED`
`EXPIRATION_MONTH_IS_INVALID`
`EXPIRATION_YEAR_IS_INVALID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`String` `getMessage()`
`static PaymentMethodValidationCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PaymentMethodValidationCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXPIRATION_MONTH_IS_INVALID

    public static final PaymentMethodValidationCode EXPIRATION_MONTH_IS_INVALID

#### EXPIRATION_YEAR_IS_INVALID

    public static final PaymentMethodValidationCode EXPIRATION_YEAR_IS_INVALID

#### EXPIRATION_DATE_EXCEEDED

    public static final PaymentMethodValidationCode EXPIRATION_DATE_EXCEEDED

#### CREDIT_CARD_NUMBER_IS_REQUIRED

    public static final PaymentMethodValidationCode CREDIT_CARD_NUMBER_IS_REQUIRED

#### CREDIT_CARD_NUMBER_IS_INVALID

    public static final PaymentMethodValidationCode CREDIT_CARD_NUMBER_IS_INVALID

### Method Detail

#### values

    public static PaymentMethodValidationCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PaymentMethodValidationCode c : PaymentMethodValidationCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PaymentMethodValidationCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public int getCode()

#### getMessage

    public String getMessage()